#ifndef NEXTP_H
#define NEXTP_H

#include <QObject>
#include <QPainter>
#include <QWidget>
#include <QPointer>
#include <QFont>
class Nextp : public QObject
{
    Q_OBJECT
public:
    enum CommandList
    {
        SetFirstUserParaCommand = 0x9200,
        GetFirstUserCommand = 0x9201,
        ReceivedFirstUserCommand = 0x9202,

        SetSecondUserParaCommand = 0x9203,
        GetSecondUserCommand = 0x9204,
        ReceivedSecondUserCommand = 0x9205,

        SetThirdUserParaCommand = 0x9206,
        GetThirdUserCommand = 0x9207,
        ReceivedThirdUserCommand = 0x9208,

        SetFourthUserParaCommand = 0x9209,
        GetFourthUserCommand = 0x920a,
        ReceivedFourthUserCommand = 0x920b,

        SetFifthUserParaCommand = 0x920c,
        GetFifthUserCommand = 0x920d,
        ReceivedFifthUserCommand = 0x920e,
    };

    static QPointer<Nextp> getInstance();
    QString getSystemFont();
    //设置
    void setWidgetParentLocation(QPointer <QWidget> widget);
    //向控制器发送消息
    void sendMessage(const quint16 &command,const QByteArray &data);
    void widgetShowFinish();
    void hideTechnologyToolbuttons();
signals:
    //接收控制器消息
    void signal_receiveMessage(const quint16 &command,const QByteArray &data);
    void signal_openWidget();
    void signal_closeWidget();

private:
    explicit Nextp(QObject *parent = 0);
    static QPointer<Nextp> _pInstance;
};

#endif // NEXTP_H
