#include "settingparawidget.h"
#include "ui_settingparawidget.h"
#include "stdio.h"
#include "widgetmanager.h"
QPointer<SettingParaWidget> SettingParaWidget::_pInstance = NULL;
QPointer<SettingParaWidget> SettingParaWidget::getInstance()
{
    if(_pInstance == NULL)
    {
        _pInstance = new SettingParaWidget;
    }
    return _pInstance;
}

SettingParaWidget::SettingParaWidget(QWidget *parent) :
    QStackedWidget(parent),
    ui(new Ui::SettingParaWidget)
{
    ui->setupUi(this);
    this->setWindowFlags(Qt::FramelessWindowHint);
    setAttribute(Qt::WA_DeleteOnClose);
    this->setCurrentIndex(0);

    connect(WidgetManager::getInstance(),SIGNAL(signal_closeSettingParaWidget()),this,SLOT(slot_closeMyWidget()));
    ui->_pPara1ReturnBtn->setStyleSheet(BUTTONSET+BUTTONSET1);
    ui->_pPara1NextPageBtn->setStyleSheet(BUTTONSET+BUTTONSET1);
    ui->_pPara2UpPageBtn->setStyleSheet(BUTTONSET+BUTTONSET1);
    ui->_pParamodifyBtn->setStyleSheet(BUTTONSET+BUTTONSET1);

    ui->lineEdit->setEnabled(false);
    ui->lineEdit_2->setEnabled(false);
    ui->lineEdit_4->setEnabled(false);
    ui->lineEdit_3->setEnabled(false);

    qDebug()<<"创建 用户自定义页面";
}

SettingParaWidget::~SettingParaWidget()
{
    qDebug()<<"删除 用户自定义页面";
    delete ui;
}


void SettingParaWidget::on__pPara1ReturnBtn_clicked()
{
    this->close();
}

void SettingParaWidget::on__pPara1NextPageBtn_clicked()
{
    this->setCurrentIndex(1);
}

void SettingParaWidget::on__pPara2UpPageBtn_clicked()
{
    this->setCurrentIndex(0);
}

void SettingParaWidget::on__pParamodifyBtn_clicked()
{
    if(ui->_pParamodifyBtn->text()==tr("修改"))
    {
            ui->lineEdit->setEnabled(true);
            ui->lineEdit_2->setEnabled(true);
            ui->lineEdit_4->setEnabled(true);
            ui->lineEdit_3->setEnabled(true);
            ui->_pParamodifyBtn->setText("保存");
    }
    else
    {
        Json::Value root;
        Json::FastWriter wt;
        root["para1"] =ui->lineEdit->text().toInt();
        root["para2"] =ui->lineEdit_2->text().toStdString();
        root["para3"] =ui->lineEdit_4->text().toInt();
        root["para4"] =ui->lineEdit_3->text().toStdString();

        root["robot"] =1;
        root["booldata"] =true;
        root["data"] = 1.1;
        root["name"] ="nihao";
        Nextp::getInstance()->sendMessage(Nextp::SetFirstUserParaCommand,QByteArray().append(QString::fromStdString(wt.write(root))));

        ui->_pParamodifyBtn->setText("修改");
        ui->lineEdit->setEnabled(false);
        ui->lineEdit_2->setEnabled(false);
        ui->lineEdit_4->setEnabled(false);
        ui->lineEdit_3->setEnabled(false);
    }
}

void SettingParaWidget::slot_closeMyWidget()
{
    this->close();
}
